# -*- mode: ruby -*-
# vi: set ft=ruby :
Flock::Sandbox.define do |c|
  c.config = { consul: "http://consul.dev.flocktory.com:8500",
               insecure_registries: ["docker2.dev.flocktory.com:5000"],
               private_network: "192.168.50.10"}
  c.container "widget_db",
              image: "postgres:9.4.1",
              envs: ["POSTGRES_USER=flocktory", "POSTGERS_PASSWORD=flocktory"],
              ports: ["5432:5432"]
  c.container "widget_redis",
              image: "redis:3.0.1",
              ports: ["6379:6379"]

  c.script "app init db",
    image: "docker2.dev.flocktory.com:5000/app:#{consul_key('container_versions/app_production')}",
    cmd: ["/scripts/initdb"],
    links: ["widget_db:db", "widget_redis:redis"],
    envs: ["REDIS=#{host('redis')}",
           "SIDEKIQ_NAMESPACE=flocktory",
           "DATABASE_URL=postgres://flocktory:flocktory@#{host('db')}/flocktory"]
  if ENV['TEST_VERSION']
    c.script "tests",
      image: "docker2.dev.flocktory.com:5000/widget:#{ENV['TEST_VERSION']}",
      cmd: ["/scripts/tests"]

  end
end
